Kwalitee Issues

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (49) does not match dist (48):
  • Duplicates in MANIFEST: lib/WebService/GData/YouTube/Constants.pm

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: WebService-GData-0.0109/l ib/WebService/GData/ClientLogin.pm -- Around line 212: You can't have =items (as at line 216) unless the first thing after the =over is an =item Around line 268: You forgot a '=back' before '=head2' Around line 274: You forgot a '=back' before '=head2' Around line 280: You forgot a '=back' before '=head2' Around line 286: You forgot a '=back' before '=head2' Around line 292: You forgot a '=back' before '=head2' Around line 298: You forgot a '=back' before '=head2' Around line 305: You forgot a '=back' before '=head2' Around line 311: You forgot a '=back' before '=head2' Around line 317: You forgot a '=back' before '=head2' Around line 325: You forgot a '=back' before '=head1' WebService-GData-0.0109/l ib/WebService/GData/Error.pm -- Around line 153: =back without =over Around line 181: =back without =over WebService-GData-0.0109/l ib/WebService/GData/Feed/Entry.pm -- Around line 79: You forgot a '=back' before '=head1' Around line 106: You forgot a '=back' before '=head2' Around line 113: You forgot a '=back' before '=head2' Around line 119: You forgot a '=back' before '=head2' Around line 125: You forgot a '=back' before '=head2' Around line 132: You forgot a '=back' before '=head1' WebService-GData-0.0109/l ib/WebService/GData/Feed.pm -- Around line 204: You forgot a '=back' before '=head3' Around line 211: You forgot a '=back' before '=head3' Around line 217: You forgot a '=back' before '=head3' Around line 223: You forgot a '=back' before '=head3' Around line 229: You forgot a '=back' before '=head3' Around line 235: You forgot a '=back' before '=head3' Around line 241: You forgot a '=back' before '=head3' Around line 247: You forgot a '=back' before '=head3' Around line 253: You forgot a '=back' before '=head3' Around line 259: You forgot a '=back' before '=head3' Around line 273: You forgot a '=back' before '=head3' Around line 279: You forgot a '=back' before '=head3' Around line 287: You forgot a '=back' before '=head3' Around line 298: You forgot a '=back' before '=head1' WebService-GData-0.0109/l ib/WebService/GData/YouTube/Query.pm -- Around line 112: =back without =over

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: WebService::GData::Base, WebService::GData::Batch, WebService::GData::Batch::Entry, WebService::GData::Batch::Response, WebService::GData::ClientLogin, WebService::GData::Error, WebService::GData::Error::Entry, WebService::GData::Feed, WebService::GData::Feed::Entry, WebService::GData::Query, WebService::GData::YouTube, WebService::GData::YouTube::Constants, WebService::GData::YouTube::Feed, WebService::GData::YouTube::Feed::Comment, WebService::GData::YouTube::Feed::Playlist, WebService::GData::YouTube::Feed::PlaylistLink, WebService::GData::YouTube::Feed::Video, WebService::GData::YouTube::Query

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.0101,0.0102,0.0104,0.0107,0.0109,0.0205,1.02,1.03

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: WebService::GData::Base, WebService::GData::Batch, WebService::GData::Batch::Entry, WebService::GData::Batch::Response, WebService::GData::ClientLogin, WebService::GData::Error, WebService::GData::Error::Entry, WebService::GData::Feed, WebService::GData::Feed::Entry, WebService::GData::Query, WebService::GData::YouTube, WebService::GData::YouTube::Constants, WebService::GData::YouTube::Feed, WebService::GData::YouTube::Feed::Comment, WebService::GData::YouTube::Feed::Playlist, WebService::GData::YouTube::Feed::PlaylistLink, WebService::GData::YouTube::Feed::Video, WebService::GData::YouTube::Query

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
WebService::GData Google data protocol v2 base object to inherit from. 0.0109 metacpan
WebService::GData::Base core read/write methods for google data API v2. 0.0107 metacpan
WebService::GData::Batch metacpan
WebService::GData::Batch::Entry metacpan
WebService::GData::Batch::Response metacpan
WebService::GData::ClientLogin implements ClientLogin authorization for google data related APIs v2. 0.0101 metacpan
WebService::GData::Constants constants (namespaces,format,services...) used for Google data APIs. 1.03 metacpan
WebService::GData::Error create an error and parse errors from Google data APIs v2. 1.02 metacpan
WebService::GData::Error::Entry Wrap an xml error sent back by Google data APIs v2. 1.02 metacpan
WebService::GData::Feed Abstract class wrapping json atom feed for google data API v2. 0.0102 metacpan
WebService::GData::Feed::Entry Abstract class wrapping json atom feed entry tag for google data API v2. 0.0102 metacpan
WebService::GData::Query implements the core query parameters available in the google data API v2. 0.0205 metacpan
WebService::GData::YouTube Access YouTube contents(read/write) with API v2. 0.0104 metacpan
WebService::GData::YouTube::Constants 0.0101 metacpan
WebService::GData::YouTube::Feed 0.0101 metacpan
WebService::GData::YouTube::Feed::Comment 0.0101 metacpan
WebService::GData::YouTube::Feed::Playlist 0.0101 metacpan
WebService::GData::YouTube::Feed::PlaylistLink 0.0101 metacpan
WebService::GData::YouTube::Feed::Video a Video YouTube contents(read/write) for data API v2. 0.0102 metacpan
WebService::GData::YouTube::Query implements the core query parameters available in YouTube Service API v2. 0.0102 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan